import { LitElement } from 'lit';
/**
 * Card is a layout component used for separating content areas on a page.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/navigation-card--docs)
 */
declare class WarpCard extends LitElement {
    static styles: import("lit").CSSResult[];
    selected: boolean;
    flat: boolean;
    clickable: boolean;
    /** @internal */
    buttonText: string;
    constructor();
    /** @internal */
    get _containerClasses(): string;
    /** @internal */
    get _outlineClasses(): string;
    /** @internal */
    get _interactiveElement(): import("lit").TemplateResult<1> | "";
    keypressed(e: KeyboardEvent): void;
    render(): import("lit").TemplateResult<1>;
}
export { WarpCard };
